## cdist 5.1.2

=== Makefile ===
#
# 2013 Nico Schottelius (nico-cdist at schottelius.org)
#
# This file is part of cdist.
#
# cdist is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# cdist is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with cdist. If not, see <http://www.gnu.org/licenses/>.
#
#

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "man             build only man user documentation"
	@echo "html            build only html user documentation"
	@echo "docs            build both man and html user documentation"
	@echo "dotman          build man pages for types in your ~/.cdist directory"
	@echo "speeches        build speeches pdf files"
	@echo "install         install in the system site-packages directory"
	@echo "install-user    install in the user site-packages directory"
	@echo "docs-clean      clean documentation"
	@echo "clean           clean"

DOCS_SRC_DIR=docs/src
SPEECHDIR=docs/speeches
TYPEDIR=cdist/conf/type

SPHINXM=make -C $(DOCS_SRC_DIR) man
SPHINXH=make -C $(DOCS_SRC_DIR) html
SPHINXC=make -C $(DOCS_SRC_DIR) clean

################################################################################
# Manpages
#
MAN7DSTDIR=$(DOCS_SRC_DIR)/man7

# Manpages #1: Types
# Use shell / ls to get complete list - $(TYPEDIR)/*/man.rst does not work
# Using ls does not work if no file with given pattern exist, so use wildcard
MANTYPESRC=$(wildcard $(TYPEDIR)/*/man.rst)
MANTYPEPREFIX=$(subst $(TYPEDIR)/,$(MAN7DSTDIR)/cdist-type,$(MANTYPESRC))
MANTYPES=$(subst /man.rst,.rst,$(MANTYPEPREFIX))

# Link manpage: do not create man.html but correct named file
$(MAN7DSTDIR)/cdist-type%.rst: $(TYPEDIR)/%/man.rst
	mkdir -p $(MAN7DSTDIR)
	ln -sf "../../../$^" $@

# Manpages #2: reference
DOCSREF=$(MAN7DSTDIR)/cdist-reference.rst
DOCSREFSH=$(DOCS_SRC_DIR)/cdist-reference.rst.sh

$(DOCSREF): $(DOCSREFSH)
	$(DOCSREFSH)

version:
	@[ -f "cdist/version.py" ] || { \
		printf "Missing 'cdist/version.py', please generate it first.\n" && exit 1; \
	}

# Manpages #3: generic part
man: version $(MANTYPES) $(DOCSREF)
	$(SPHINXM)

html: version $(MANTYPES) $(DOCSREF)
	$(SPHINXH)

docs: man html

docs-clean:
	$(SPHINXC)

# Manpages: .cdist Types
DOT_CDIST_PATH=${HOME}/.cdist
DOTMAN7DSTDIR=$(MAN7DSTDIR)
DOTTYPEDIR=$(DOT_CDIST_PATH)/type
DOTMANTYPESRC=$(wildcard $(DOTTYPEDIR)/*/man.rst)
DOTMANTYPEPREFIX=$(subst $(DOTTYPEDIR)/,$(DOTMAN7DSTDIR)/cdist-type,$(DOTMANTYPESRC))
DOTMANTYPES=$(subst /man.rst,.rst,$(DOTMANTYPEPREFIX))

# Link manpage: do not create man.html but correct named file
$(DOTMAN7DSTDIR)/cdist-type%.rst: $(DOTTYPEDIR)/%/man.rst
	ln -sf "$^" $@

dotman: version $(DOTMANTYPES)
	$(SPHINXM)

################################################################################
# Speeches
#
SPEECHESOURCES=$(SPEECHDIR)/*.tex
SPEECHES=$(SPEECHESOURCES:.tex=.pdf)

# Create speeches and ensure Toc is up-to-date
$(SPEECHDIR)/%.pdf: $(SPEECHDIR)/%.tex
	pdflatex -output-directory $(SPEECHDIR) $^
	pdflatex -output-directory $(SPEECHDIR) $^
	pdflatex -output-directory $(SPEECHDIR) $^

speeches: $(SPEECHES)

################################################################################
# Misc
#
clean: docs-clean
	rm -f $(DOCS_SRC_DIR)/cdist-reference.rst

	find "$(DOCS_SRC_DIR)" -mindepth 2 -type l \
	| xargs rm -f

	find * -name __pycache__  | xargs rm -rf

	# distutils
	rm -rf ./build

################################################################################
# install
#

install:
	python3 setup.py install

install-user:
	python3 setup.py install --user

=== debian/changelog ===
cdist (5.1.2-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 23 Jun 2019 11:00:51 +0000

cdist (5.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 29 May 2019 04:13:03 +0000

cdist (5.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 22 May 2019 21:17:07 +0000

cdist (5.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 19 May 2019 11:38:57 +0000

cdist (5.0.1-1) experimental; urgency=medium

  * New upstream release
  * Drop "do-not-assume-git-checkout.patch": reimplemented upstream.

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 11 May 2019 19:10:03 +0000

cdist (5.0.0-1) experimental; urgency=medium

  * New upstream version 5.0.0 (Closes: #928350)
  * Update debian/watch to new upstream hosting
  * [34afa46f] Refresh patches.
    + Drop 0003-Fix-spelling-error-in-manpage.patch: applied upstream
  * [0e49f305] Do not recreate "cdist/version.py" in debian/rules
  * [63b20ed7] Update Homepage field in debian/control

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 05 May 2019 21:25:56 +0000

cdist (4.11.0-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 22 Apr 2019 16:06:50 +0000

cdist (4.10.10-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards version to 4.3.0

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 12 Apr 2019 21:09:10 +0000

cdist (4.10.8-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 06 Apr 2019 20:51:36 +0000

=== debian/control ===
Source: cdist
Maintainer: Dmitry Bogatov <KAction@debian.org>
Section: admin
Priority: optional
Build-Conflicts: python-sphinx
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 dh-linktree,
 python3,
 python3-all,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 bash-completion,
 jdupes,
Standards-Version: 4.3.0
Homepage: https://cdi.st
Vcs-Browser: https://salsa.debian.org/debian/cdist
Vcs-Git: https://salsa.debian.org/debian/cdist.git

Package: cdist
Architecture: all
Depends: python3 (>= 3.4), ${misc:Depends}, ${python3:Depends}
Suggests: cdist-doc
Description: Usable Configuration Management System
 cdist is a usable configuration management system.
 It adheres to the KISS principle and is being used in
 small up to enterprise grade environments. It has the
 following noteworthy features:
 .
  * shell scripting configuration language
  * access to all control structures (if, case, for, while)
  * idempotent target properties
  * zero-dependencies: target system need only /bin/sh and ssh
  * push-based distribution
  * highly-scalable
 .
 cdist is an alternative to other configuration management systems
 like cfengine, bcfg2, chef and puppet.

Package: cdist-doc
Section: doc
Architecture: all
Built-Using: ${sphinxdoc:Built-Using}
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Usable Configuration Management System (html documentation)
 cdist is a usable configuration management system.
 It adheres to the KISS principle and is being used in
 small up to enterprise grade environments. It has the
 following noteworthy features:
 .
  * shell scripting configuration language
  * access to all control structures (if, case, for, while)
  * idempotent target properties
  * zero-dependencies: target system need only /bin/sh and ssh
  * push-based distribution
  * highly-scalable
 .
 cdist is an alternative to other configuration management systems
 like cfengine, bcfg2, chef and puppet.
 .
 This package contains Sphinx-generated html documentation.

## cdist 5.1.3

=== debian/changelog ===
cdist (5.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Add lintian override about #!/sbin/openrc-run interpreter
  * Update standards version, no changes needed.
  * Bump debhelper from old 11 to 12.

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 31 Aug 2019 00:11:37 +0000

cdist (5.1.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 16 Aug 2019 06:47:32 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Build-Conflicts: python-sphinx
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  dh-python,
  dh-linktree,
  python3,
@@ -13,7 +13,7 @@
  python3-sphinx-rtd-theme,
  bash-completion,
  jdupes,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://cdi.st
 Vcs-Browser: https://salsa.debian.org/debian/cdist
 Vcs-Git: https://salsa.debian.org/debian/cdist.git

## cdist 6.0.2

=== Makefile ===
--- 
+++ 
@@ -31,9 +31,9 @@
 	@echo "docs-clean      clean documentation"
 	@echo "clean           clean"
 
-DOCS_SRC_DIR=docs/src
-SPEECHDIR=docs/speeches
-TYPEDIR=cdist/conf/type
+DOCS_SRC_DIR=./docs/src
+SPEECHDIR=./docs/speeches
+TYPEDIR=./cdist/conf/type
 
 SPHINXM=make -C $(DOCS_SRC_DIR) man
 SPHINXH=make -C $(DOCS_SRC_DIR) html

=== debian/changelog ===
cdist (6.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Fix spelling error in manpage
  * Update lintian overrides
  * Set "Rules-Requires-Root" field to "no"
  * Bump standards version to 4.4.1

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 18 Oct 2019 22:45:18 +0000

cdist (6.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 12 Oct 2019 04:16:14 +0000

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
  python3-sphinx-rtd-theme,
  bash-completion,
  jdupes,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://cdi.st
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/cdist
 Vcs-Git: https://salsa.debian.org/debian/cdist.git

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export PYBUILD_DESTDIR = debian/cdist

%:
	dh $@ --with python3,linktree,sphinxdoc,bash_completion \
	    --buildsystem=pybuild

override_dh_auto_build:
	# This directory is lost during
	#
	# upstream git -> tarball -> git-buildpackage
	#
	# process, since .gitignore files are excluded by
	# git-archive(1) and tarballs can store empty directories,
	# but git can not.
	#
	# Without this directory, build from git repository fails.
	mkdir -p docs/src/man7
	$(MAKE) man html

# This file contains instruction how to install cdist system-wide. It
# gets installed in wrong place and actually redundant.
override_dh_auto_install:
	dh_auto_install
	find debian/cdist/usr/lib -name 'README' -delete

override_dh_install:
	dh_install
	jdupes --linksoft --recurse debian/cdist-doc

# If something has shebang, then `chmod +x'. But it is important to
# search only among scripts, since some manpages trigger false-positive
# (compressed manpages are considered to have single line by head(1),
# and somewhere in that line #! sometimes occurs)
override_dh_fixperms:
	dh_fixperms
	find debian/cdist/usr/lib/python3 -type f -execdir \
	    /bin/sh -c '(head -n1 {} | grep -qF "#!") && chmod +x {}' \;

override_dh_auto_clean:
	$(MAKE) clean
	rm -rf ./build
	dh_auto_clean

## cdist 6.9.4

=== Makefile ===
--- 
+++ 
@@ -63,16 +63,28 @@
 $(DOCSREF): $(DOCSREFSH)
 	$(DOCSREFSH)
 
+# Html types list with references
+DOCSTYPESREF=$(MAN7DSTDIR)/cdist-types.rst
+DOCSTYPESREFSH=$(DOCS_SRC_DIR)/cdist-types.rst.sh
+
+$(DOCSTYPESREF): $(DOCSTYPESREFSH)
+	$(DOCSTYPESREFSH)
+
+DOCSCFGSKEL=./configuration/cdist.cfg.skeleton
+
+configskel: $(DOCSCFGSKEL)
+	cp -f "$(DOCSCFGSKEL)" "$(DOCS_SRC_DIR)/"
+
 version:
 	@[ -f "cdist/version.py" ] || { \
 		printf "Missing 'cdist/version.py', please generate it first.\n" && exit 1; \
 	}
 
 # Manpages #3: generic part
-man: version $(MANTYPES) $(DOCSREF)
+man: version configskel $(MANTYPES) $(DOCSREF) $(DOCSTYPESREF)
 	$(SPHINXM)
 
-html: version $(MANTYPES) $(DOCSREF)
+html: version configskel $(MANTYPES) $(DOCSREF) $(DOCSTYPESREF)
 	$(SPHINXH)
 
 docs: man html
@@ -92,7 +104,7 @@
 $(DOTMAN7DSTDIR)/cdist-type%.rst: $(DOTTYPEDIR)/%/man.rst
 	ln -sf "$^" $@
 
-dotman: version $(DOTMANTYPES)
+dotman: version configskel $(DOTMANTYPES) $(DOCSREF) $(DOCSTYPESREF)
 	$(SPHINXM)
 
 ################################################################################
@@ -114,6 +126,8 @@
 #
 clean: docs-clean
 	rm -f $(DOCS_SRC_DIR)/cdist-reference.rst
+	rm -f $(DOCS_SRC_DIR)/cdist-types.rst
+	rm -f $(DOCS_SRC_DIR)/cdist.cfg.skeleton
 
 	find "$(DOCS_SRC_DIR)" -mindepth 2 -type l \
 	| xargs rm -f

=== docs/src/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS   ?=
SPHINXBUILD  ?= sphinx-build
PAPER        ?=
BUILDDIR     ?= ../dist
# for cache, etc.
_BUILDDIR     = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
    $(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(_BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*
	rm -rf $(_BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cdist-docs.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cdist-docs.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/cdist-docs"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/cdist-docs"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b cman $(ALLSPHINXOPTS) $(BUILDDIR)/man
	mkdir -p $(BUILDDIR)/man/man1
	mkdir -p $(BUILDDIR)/man/man7
	mv -f $(BUILDDIR)/man/*.1 $(BUILDDIR)/man/man1/
	mv -f $(BUILDDIR)/man/*.7 $(BUILDDIR)/man/man7/
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
cdist (6.9.4-1ubuntu1) jammy; urgency=medium

  * Cherry-pick 2 commits for python 3.10 compatibility (LP: #1959330)
    * Fix version compare
    * Fix transition of some classes from collections to collections.abc

 -- Dan Bungert <daniel.bungert@canonical.com>  Thu, 27 Jan 2022 11:45:53 -0700

cdist (6.9.4-1) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group. (see #982179)
  * New upstream release. (Closes: #970734)
    - Fixes FTBFS with Sphinx 2.4. (Closes: #955110)

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 09:45:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: cdist
-Maintainer: Dmitry Bogatov <KAction@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: admin
 Priority: optional
 Build-Conflicts: python-sphinx

=== debian/watch ===
version=4
opts="pgpmode=next" https://code.ungleich.ch/ungleich-public/cdist/tags \
  .*/uploads/.*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ \
  debian

opts="pgpmode=previous" https://code.ungleich.ch/ungleich-public/cdist/tags \
    .*/uploads/.*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@\.asc \
    previous uupdate

## cdist 6.9.8

=== debian/changelog ===
cdist (6.9.8-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Update watch file for gitea migration, upstream.
    - Remove upstream signing key, no longer useful.
  * Update copyright.
  * Refresh patches.
  * Write a version.py, upstream isn't including it or the tools to generate
    it.
  * Patch: Python 3.10 support (Closes: #1004446)
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Bump debhelper compat level to 13.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 16 Apr 2022 17:28:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: cdist
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: admin
 Priority: optional
 Build-Conflicts: python-sphinx
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  dh-linktree,
  python3,
@@ -14,7 +13,7 @@
  python3-sphinx-rtd-theme,
  bash-completion,
  jdupes,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://cdi.st
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/cdist

## cdist 7.0.0

=== Makefile ===
--- 
+++ 
@@ -35,9 +35,9 @@
 SPEECHDIR=./docs/speeches
 TYPEDIR=./cdist/conf/type
 
-SPHINXM=make -C $(DOCS_SRC_DIR) man
-SPHINXH=make -C $(DOCS_SRC_DIR) html
-SPHINXC=make -C $(DOCS_SRC_DIR) clean
+SPHINXM=$(MAKE) -C $(DOCS_SRC_DIR) man
+SPHINXH=$(MAKE) -C $(DOCS_SRC_DIR) html
+SPHINXC=$(MAKE) -C $(DOCS_SRC_DIR) clean
 
 ################################################################################
 # Manpages

=== debian/changelog ===
cdist (7.0.0-3) unstable; urgency=high

  * QA upload.
  * debian/rules: Fix jdupes invocation wrt. --linksoft → --link-soft
    option renaming. (Closes: #1052879)

 -- Axel Beckert <abe@debian.org>  Tue, 26 Sep 2023 16:22:40 +0200

cdist (7.0.0-2) unstable; urgency=high

  * QA upload.
  * Cherry-pick upstream commit b974969f for Python 3.11 compatibility.
    (Closes: #1028447)
  * Declare compliance with Debian Policy 4.6.2.
  * Replace link to outdated Github repo in debian/copyright.
  * debian/clean: Add cdist.egg-info to be able to build twice in a row.

 -- Axel Beckert <abe@debian.org>  Sun, 15 Jan 2023 22:48:57 +0100

cdist (7.0.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream version.
  * debian/control:
    - Bump Standards-Version to 4.6.1, no changes needed.
  * debian/patches:
    - Refresh.
    - Drop debian/patches/collections-abc.patch applied by upstream.
  * Add debian/upstream/metadata.
  * debian/copyright: Add myself.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Sun, 07 Aug 2022 10:47:29 -0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-sphinx-rtd-theme,
  bash-completion,
  jdupes,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://cdi.st
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/cdist

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,13 @@
 	dh $@ --with python3,linktree,sphinxdoc,bash_completion \
 	    --buildsystem=pybuild
 
-override_dh_auto_build:
+cdist/version.py:
+	echo 'VERSION = "$(DEB_VERSION_UPSTREAM)"' > cdist/version.py
+
+override_dh_auto_configure: cdist/version.py
+	dh_auto_configure
+
+override_dh_auto_build: cdist/version.py
 	# This directory is lost during
 	#
 	# upstream git -> tarball -> git-buildpackage
@@ -27,7 +33,7 @@
 
 override_dh_install:
 	dh_install
-	jdupes --linksoft --recurse debian/cdist-doc
+	jdupes --link-soft --recurse debian/cdist-doc
 
 # If something has shebang, then `chmod +x'. But it is important to
 # search only among scripts, since some manpages trigger false-positive
@@ -38,7 +44,7 @@
 	find debian/cdist/usr/lib/python3 -type f -execdir \
 	    /bin/sh -c '(head -n1 {} | grep -qF "#!") && chmod +x {}' \;
 
-override_dh_auto_clean:
+override_dh_auto_clean: cdist/version.py
 	$(MAKE) clean
-	rm -rf ./build
 	dh_auto_clean
+	rm -rf ./build cdist/version.py

=== debian/tests/control ===
Test-Command: cdist --version
Depends: @
Restrictions: allow-stderr

# vim: ft=debcontrol
